Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 27 May 2021 10:42:52 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I had made an online order for click and collect before eid on 8th may.
I was planning to collect it after eid holidays 18th may, but strangely I received the following message on 16th may saying item is collected, which is false.

Thank you for collecting your products from Click & Collect order 6306311978. Enjoy your purchase!

When I visit the store, they are saying no idea.

Disappointing! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2614439